<?php

namespace Ems\Controllers;

use Exception\Messages;
use Service\LogService;
use Service\OAuth\OAuthCustomImpl;
use Zeedhi\Framework\Controller\Simple;
use Zeedhi\Framework\HTTP\Kernel;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Error;


use Ems\Services\MinhaHistoriaService;

class MinhaHistoriaController {
    protected $minhaHistoriaService;

    public function __construct(MinhaHistoriaService $minhaHistoriaService) {
        $this->minhaHistoriaService = $minhaHistoriaService;
    }

    public function solicitaAlteracao(Request\Row $request, Response $response) {
        try {
            $row = $request->getRow();

            if ($row["NRTIPOSOLICITACAO"] == 16) {
                $success = $this->minhaHistoriaService->solicitaAlteracaoComunica($row);
            } else {
                $success = $this->minhaHistoriaService->solicitaAlteracao($row);
            }

            $dataset = [
                'success' => $success,
            ];

            $response->addDataSet(new DataSet('solicitaAlteracao', $dataset));
        } catch(\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode(), $e->getTrace()));
        }
    }

}
